grk::Strip Struct Reference

`#include <StripCache.h>`

## Public Member Functions

| Strip (GrkImage *outputImage, uint16_t index, uint32_t nominalHeight, uint8_t reduce)
| ~Strip (void)
uint32_t | getIndex (void)
uint32_t | reduceDim (uint32_t dim)
bool | allocInterleavedLocked (uint64_t len, BufPool *pool)
bool | allocInterleaved (uint64_t len, BufPool *pool)

## Public Attributes

GrkImage * | stripImg
std::atomic< uint32_t > | tileCounter
uint8_t | reduce_
std::mutex | interleaveMutex_
std::atomic< bool > | allocatedInterleaved_

## Constructor & Destructor Documentation

## Strip()

grk::Strip::Strip | ( | GrkImage * | outputImage,
|  | uint16_t | index,
|  | uint32_t | nominalHeight,
|  | uint8_t | reduce
| ) |  |

References _grk_image::comps, grk::grk_read(), _grk_image_comp::h, reduceDim(), stripImg, _grk_image_comp::y0, _grk_image::y0, and _grk_image::y1.

## ~Strip()

grk::Strip::~Strip | ( | void |  | ) |

References grk_object_unref(), _grk_image::obj, and stripImg.

## Member Function Documentation

## allocInterleaved()

bool grk::Strip::allocInterleaved | ( | uint64_t | len,
|  | BufPool * | pool
| ) |  |

References _grk_io_buf::data_, grk::BufPool::get(), _grk_image::interleavedData, and stripImg.

## allocInterleavedLocked()

bool grk::Strip::allocInterleavedLocked | ( | uint64_t | len,
|  | BufPool * | pool
| ) |  |

References allocatedInterleaved_, _grk_io_buf::data_, grk::BufPool::get(), grk::grk_read(), _grk_image::interleavedData, interleaveMutex_, and stripImg.

## getIndex()

uint32_t grk::Strip::getIndex | ( | void |  | ) |

## reduceDim()

uint32_t grk::Strip::reduceDim | ( | uint32_t | dim | ) |

References grk::grk_read(), and reduce_.

Referenced by Strip().

## Member Data Documentation

## allocatedInterleaved_

std::atomic<bool> grk::Strip::allocatedInterleaved_

mutable

Referenced by allocInterleavedLocked().

## interleaveMutex_

std::mutex grk::Strip::interleaveMutex_

mutable

Referenced by allocInterleavedLocked().

## reduce_

uint8_t grk::Strip::reduce_

Referenced by reduceDim().

## stripImg

GrkImage* grk::Strip::stripImg

Referenced by allocInterleaved(), allocInterleavedLocked(), grk::StripCache::ingestStrip(), grk::StripCache::ingestTile(), Strip(), and ~Strip().

## tileCounter

std::atomic<uint32_t> grk::Strip::tileCounter

The documentation for this struct was generated from the following files:

- StripCache.h
- StripCache.cpp